Bug 907888 - CVE-2013-0215 xen: oxenstored incorrect handling of certain Xenbus ring states [fedora-all]
CVE-2013-0215 xen: oxenstored incorrect handling of certain Xenbus ring state...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Young
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-0215
  Show dependency treegraph
 
Reported: 2013-02-05 08:29 EST by Petr Matousek
Modified: 2013-02-18 01:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 20:23:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-02-05 08:29:22 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Petr Matousek 2013-02-05 08:29:33 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=906323,907888
Comment 2 Fedora Update System 2013-02-05 19:09:42 EST
xen-4.2.1-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xen-4.2.1-6.fc18
Comment 3 Michael Young 2013-02-05 19:16:43 EST
Note that in Fedora we are still using xenstored by default rather than the oxenstored alternative which is affected by this bug.
Comment 4 Fedora Update System 2013-02-06 16:31:22 EST
xen-4.1.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xen-4.1.4-4.fc17
Comment 5 Fedora Update System 2013-02-06 17:01:47 EST
xen-4.1.4-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xen-4.1.4-4.fc16
Comment 6 Fedora Update System 2013-02-07 20:57:08 EST
Package xen-4.1.4-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xen-4.1.4-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1991/xen-4.1.4-4.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-02-08 17:15:06 EST
xen-4.2.1-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xen-4.2.1-7.fc18
Comment 8 Petr Matousek 2013-02-15 06:49:19 EST
Michael,

version three of the original Xen Security Advisory has been published [1]. It refers to incremental patch [2] that should fix issue introduced by the CVE fix.

  [1] http://seclists.org/oss-sec/2013/q1/315
  [2] http://xenbits.xen.org/hg/staging/xen-unstable.hg/rev/759574df84a6

Please consider including the fix in the Fedora xen packages.

Thanks,
--
Petr Matousek / Red Hat Security Response Team
Comment 9 Fedora Update System 2013-02-15 20:23:34 EST
xen-4.1.4-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Michael Young 2013-02-16 04:58:04 EST
(In reply to comment #8)
> Michael,
> 
> version three of the original Xen Security Advisory has been published [1].
> It refers to incremental patch [2] that should fix issue introduced by the
> CVE fix.
> 
>   [1] http://seclists.org/oss-sec/2013/q1/315
>   [2] http://xenbits.xen.org/hg/staging/xen-unstable.hg/rev/759574df84a6
> 
> Please consider including the fix in the Fedora xen packages.
> 
> Thanks,
> --
> Petr Matousek / Red Hat Security Response Team

The revised patch is in xen-4.2.1-8.fc19 xen-4.2.1-8.fc18 and xen-4.1.4-5.fc17.
Comment 11 Fedora Update System 2013-02-18 01:48:59 EST
xen-4.2.1-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.